All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::tune_result_t Struct Reference

`#include <tune_result.hpp>`

## Public Member Functions

std::string | to_pp_string (void) const

## Public Attributes

double | target_rf_freq
double | actual_rf_freq
double | target_dsp_freq
double | actual_dsp_freq

## Detailed Description

The tune result struct holds result of a 2-phase tuning.

## Member Function Documentation

std::string uhd::tune_result_t::to_pp_string | ( | void |  | ) | const

Create a pretty print string for this tune result struct.

Returns
  the printable string

## Member Data Documentation

double uhd::tune_result_t::actual_dsp_freq

double uhd::tune_result_t::actual_rf_freq

double uhd::tune_result_t::target_dsp_freq

double uhd::tune_result_t::target_rf_freq

The documentation for this struct was generated from the following file:

- include/uhd/types/tune_result.hpp